From 66b52def29700f8b324a5524c7a66865516efa6a Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 30 Jan 2012 11:56:06 -0600
Subject: Applied dropdown to droplow as well.

---
 grade/edit/tree/lib.php |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

diff --git a/grade/edit/tree/lib.php b/grade/edit/tree/lib.php
index baa9871..5112076 100644
--- a/grade/edit/tree/lib.php
+++ b/grade/edit/tree/lib.php
@@ -956,7 +956,13 @@ class grade_edit_tree_column_droplow extends grade_edit_tree_column_category {
     }
 
     public function get_category_cell($category, $levelclass, $params) {
-        $droplow = '<input type="text" size="3" id="droplow_'.$category->id.'" name="droplow_'.$category->id.'" value="'.$category->droplow.'" />';
+        $options = array(0 => get_string('none'));
+
+        for ($i=1; $i<=20; $i++) {
+            $options[$i] = $i;
+        }
+
+        $droplow = html_writer::select($options, 'droplow_'.$category->id, $category->droplow, null);
 
         if ($this->forced) {
             $droplow = $category->droplow;
-- 
1.7.1


